Bug 975566 - SELinux is preventing /usr/libexec/kde4/ksysguardprocesslist_helper from 'write' accesses on the file /root/.config/Trolltech.conf.
SELinux is preventing /usr/libexec/kde4/ksysguardprocesslist_helper from 'wri...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:7c8f336bf1ea2de7ea12a7e23ea...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-18 15:15 EDT by bigpoppablunts
Modified: 2013-07-24 20:40 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.11.1-98.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 20:40:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bigpoppablunts 2013-06-18 15:15:07 EDT
Description of problem:
SELinux is preventing /usr/libexec/kde4/ksysguardprocesslist_helper from 'write' accesses on the file /root/.config/Trolltech.conf.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that ksysguardprocesslist_helper should be allowed write access on the Trolltech.conf file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep ksysguardproces /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:gnomesystemmm_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:config_home_t:s0
Target Objects                /root/.config/Trolltech.conf [ file ]
Source                        ksysguardproces
Source Path                   /usr/libexec/kde4/ksysguardprocesslist_helper
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           ksysguard-4.10.4-1.fc18.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.11.1-97.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.9.5-201.fc18.x86_64 #1 SMP Tue
                              Jun 11 19:40:51 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-06-17 20:18:11 EDT
Last Seen                     2013-06-17 20:18:11 EDT
Local ID                      fe598974-0711-4ded-9bd5-4c738084490f

Raw Audit Messages
type=AVC msg=audit(1371514691.506:426): avc:  denied  { write } for  pid=14208 comm="ksysguardproces" name="Trolltech.conf" dev="dm-1" ino=1966147 scontext=system_u:system_r:gnomesystemmm_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:config_home_t:s0 tclass=file


type=SYSCALL msg=audit(1371514691.506:426): arch=x86_64 syscall=open success=yes exit=ECHILD a0=1718848 a1=80042 a2=1b6 a3=2 items=0 ppid=1 pid=14208 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=ksysguardproces exe=/usr/libexec/kde4/ksysguardprocesslist_helper subj=system_u:system_r:gnomesystemmm_t:s0-s0:c0.c1023 key=(null)

Hash: ksysguardproces,gnomesystemmm_t,config_home_t,file,write

audit2allow

#============= gnomesystemmm_t ==============
allow gnomesystemmm_t config_home_t:file write;

audit2allow -R
require {
	type gnomesystemmm_t;
}

#============= gnomesystemmm_t ==============
gnome_manage_home_config(gnomesystemmm_t)


Additional info:
reporter:       libreport-2.1.4
hashmarkername: setroubleshoot
kernel:         3.9.5-201.fc18.x86_64
type:           libreport
Comment 1 Daniel Walsh 2013-06-19 16:39:23 EDT
0a368815fa04efedeb09d0ef99d493307d20ca6a fixes this in git.
Comment 2 Fedora Update System 2013-06-27 09:36:34 EDT
selinux-policy-3.11.1-98.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-98.fc18
Comment 3 Fedora Update System 2013-06-28 02:10:32 EDT
Package selinux-policy-3.11.1-98.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-98.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11859/selinux-policy-3.11.1-98.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-07-24 20:40:37 EDT
selinux-policy-3.11.1-98.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.